include:
  - project: paniclobster/gitlab/ci-templates
    file: /docker/build-template.yaml
  - project: paniclobster/gitlab/ci-templates
    file: /docker/publish-template.yaml

docker:build:
  extends: .docker:build
  stage: build
  needs: []
  before_script:
    - cd tests/docker
  only:
    changes:
      - docker/**/*
      - tests/docker/**/*

docker:publish:
  extends: .docker:publish
  stage: publish
  needs: []
  before_script:
    - cd tests/docker
  only:
    changes:
      - docker/**/*
      - tests/docker/**/*
  variables:
    IMAGE_NAME: $CI_REGISTRY_IMAGE/docker

docker:publish-latest:
  extends: .docker:publish
  stage: publish
  needs: []
  before_script:
    - cd tests/docker
  only:
    changes:
      - docker/**/*
      - tests/docker/**/*
  variables:
    IMAGE_NAME: $CI_REGISTRY_IMAGE/docker
    PUSH_LATEST: 'true'
